<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/creatures/infected/zombiebase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/de3/a08898_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">zombiebase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/de3/a08898.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ZombieBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d0/dae/a04721.html">ZombieBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{<span class="comment"></span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    //! TODO: AllInfected isn&#39;t used anywhere, should get rid?</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">   16</a></span><span class="comment"></span>    <span class="keyword">private</span> <span class="keyword">static</span> ref set&lt; ZombieBase &gt; <a class="code hl_variable" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a> = <span class="keyword">new</span> set&lt; ZombieBase &gt;;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a0849752c39ca72f2d72e3d30e8332757">   18</a></span>    <span class="keyword">protected</span> autoptr <a class="code hl_class" href="../../d6/d21/a04401.html">ExpansionZoneActor</a> <a class="code hl_variable" href="../../d0/dae/a04721.html#a0849752c39ca72f2d72e3d30e8332757">m_Expansion_SafeZoneInstance</a> = <span class="keyword">new</span> ExpansionZoneEntity&lt;ZombieBase&gt;(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">   20</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">m_Expansion_IsInSafeZone</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">   22</a></span>    ref <a class="code hl_class" href="../../d8/d39/a04449.html">ExpansionNetsyncData</a> <a class="code hl_variable" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ZombieBase Consturctor</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a73dc4204de3c1020cbf9d62cd7b6d65d">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a73dc4204de3c1020cbf9d62cd7b6d65d">ZombieBase</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a>.Insert( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="comment">// ZombieBase Destructor</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a007db5bcb4841d8dded45c1ebe4dbf0a">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a007db5bcb4841d8dded45c1ebe4dbf0a">~ZombieBase</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> (!GetGame())</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordtype">int</span> idx = <a class="code hl_variable" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a>.Find( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( idx &gt;= 0 )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_variable" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a>.Remove( idx );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ZombieBase GetAll</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#af3351659cc77b1766e3b707587281fe7">   50</a></span>    <span class="keyword">static</span> set&lt; ZombieBase &gt; <a class="code hl_function" href="../../d0/dae/a04721.html#af3351659cc77b1766e3b707587281fe7">GetAll</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="comment">// ZombieBase OnEnterZone</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a93d72faf67300ede3950ea054d0eefd1">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a93d72faf67300ede3950ea054d0eefd1">OnEnterZone</a>(<a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnEnterZone&quot;</span>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> (type == <a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>.SAFE)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_variable" href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">m_Expansion_IsInSafeZone</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            SetHealth(0);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            GetGame().GetCallQueue( CALL_CATEGORY_SYSTEM ).CallLater( GetGame().ObjectDelete, 5000, <span class="keyword">false</span>, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ZombieBase OnLeavingSafeZone</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#ae62cd5fc073cdf3789b609d54f3c0c55">   77</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dae/a04721.html#ae62cd5fc073cdf3789b609d54f3c0c55">OnExitZone</a>(<a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnExitZone&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (type == <a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>.SAFE)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_variable" href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">m_Expansion_IsInSafeZone</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// ZombieBase IsInSafeZone</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a35f82605eac8c7d43011d73673e3e2c6">   92</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a35f82605eac8c7d43011d73673e3e2c6">IsInSafeZone</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">m_Expansion_IsInSafeZone</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a73686c24b70de059ee1320550c2667df">   97</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a73686c24b70de059ee1320550c2667df">NameOverride</a>(out <span class="keywordtype">string</span> output)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a> &amp;&amp; <a class="code hl_variable" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, output))</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordflow">return</span> super.NameOverride(output);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d0/dae/a04721.html#a14c50865a8c7baa5329f1f8660b283af">  105</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dae/a04721.html#a14c50865a8c7baa5329f1f8660b283af">OnRPC</a>(PlayerIdentity sender, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        super.OnRPC(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a>)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_variable" href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">OnRPC</a>(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00941_html_a91fff2923c73524aa9ddd1aa0e5c0337"><div class="ttname"><a href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a></div><div class="ttdeci">ExpansionZoneType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dad/a00941_source.html#l00001">expansionzonetype.c:2</a></div></div>
<div class="ttc" id="aa04401_html"><div class="ttname"><a href="../../d6/d21/a04401.html">ExpansionZoneActor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d92/a00929_source.html#l00016">expansionzoneactor.c:17</a></div></div>
<div class="ttc" id="aa04449_html"><div class="ttname"><a href="../../d8/d39/a04449.html">ExpansionNetsyncData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00013">expansionnetsyncdata.c:14</a></div></div>
<div class="ttc" id="aa04449_html_a9619a4af8fc8f1b4824235dfbb8a2ef7"><div class="ttname"><a href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">ExpansionNetsyncData::OnRPC</a></div><div class="ttdeci">void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00094">expansionnetsyncdata.c:94</a></div></div>
<div class="ttc" id="aa04449_html_ab986e69f4cceee5b8f77c4aa86b9d532"><div class="ttname"><a href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">ExpansionNetsyncData::Get</a></div><div class="ttdeci">bool Get(int index, out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00037">expansionnetsyncdata.c:37</a></div></div>
<div class="ttc" id="aa04721_html"><div class="ttname"><a href="../../d0/dae/a04721.html">ZombieBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00013">zombiebase.c:14</a></div></div>
<div class="ttc" id="aa04721_html_a007db5bcb4841d8dded45c1ebe4dbf0a"><div class="ttname"><a href="../../d0/dae/a04721.html#a007db5bcb4841d8dded45c1ebe4dbf0a">ZombieBase::~ZombieBase</a></div><div class="ttdeci">void ~ZombieBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00035">zombiebase.c:35</a></div></div>
<div class="ttc" id="aa04721_html_a0849752c39ca72f2d72e3d30e8332757"><div class="ttname"><a href="../../d0/dae/a04721.html#a0849752c39ca72f2d72e3d30e8332757">ZombieBase::m_Expansion_SafeZoneInstance</a></div><div class="ttdeci">protected autoptr ExpansionZoneActor m_Expansion_SafeZoneInstance</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00018">zombiebase.c:18</a></div></div>
<div class="ttc" id="aa04721_html_a14c50865a8c7baa5329f1f8660b283af"><div class="ttname"><a href="../../d0/dae/a04721.html#a14c50865a8c7baa5329f1f8660b283af">ZombieBase::OnRPC</a></div><div class="ttdeci">override void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00105">zombiebase.c:105</a></div></div>
<div class="ttc" id="aa04721_html_a2619a46fea6f8262013f3fc8c7e33d4e"><div class="ttname"><a href="../../d0/dae/a04721.html#a2619a46fea6f8262013f3fc8c7e33d4e">ZombieBase::m_Expansion_IsInSafeZone</a></div><div class="ttdeci">protected bool m_Expansion_IsInSafeZone</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00020">zombiebase.c:20</a></div></div>
<div class="ttc" id="aa04721_html_a35f82605eac8c7d43011d73673e3e2c6"><div class="ttname"><a href="../../d0/dae/a04721.html#a35f82605eac8c7d43011d73673e3e2c6">ZombieBase::IsInSafeZone</a></div><div class="ttdeci">bool IsInSafeZone()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00092">zombiebase.c:92</a></div></div>
<div class="ttc" id="aa04721_html_a5bc34df10fd548edda64065ddc2151bf"><div class="ttname"><a href="../../d0/dae/a04721.html#a5bc34df10fd548edda64065ddc2151bf">ZombieBase::m_Expansion_NetsyncData</a></div><div class="ttdeci">ref ExpansionNetsyncData m_Expansion_NetsyncData</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00022">zombiebase.c:22</a></div></div>
<div class="ttc" id="aa04721_html_a73686c24b70de059ee1320550c2667df"><div class="ttname"><a href="../../d0/dae/a04721.html#a73686c24b70de059ee1320550c2667df">ZombieBase::NameOverride</a></div><div class="ttdeci">override bool NameOverride(out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00097">zombiebase.c:97</a></div></div>
<div class="ttc" id="aa04721_html_a73dc4204de3c1020cbf9d62cd7b6d65d"><div class="ttname"><a href="../../d0/dae/a04721.html#a73dc4204de3c1020cbf9d62cd7b6d65d">ZombieBase::ZombieBase</a></div><div class="ttdeci">void ZombieBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00027">zombiebase.c:27</a></div></div>
<div class="ttc" id="aa04721_html_a93d72faf67300ede3950ea054d0eefd1"><div class="ttname"><a href="../../d0/dae/a04721.html#a93d72faf67300ede3950ea054d0eefd1">ZombieBase::OnEnterZone</a></div><div class="ttdeci">void OnEnterZone(ExpansionZoneType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00059">zombiebase.c:59</a></div></div>
<div class="ttc" id="aa04721_html_ab2f1ed0cb86b2809c094adfcfbbf036d"><div class="ttname"><a href="../../d0/dae/a04721.html#ab2f1ed0cb86b2809c094adfcfbbf036d">ZombieBase::m_Expansion_AllInfected</a></div><div class="ttdeci">static private ref set&lt; ZombieBase &gt; m_Expansion_AllInfected</div><div class="ttdoc">TODO: AllInfected isn't used anywhere, should get rid?</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00016">zombiebase.c:16</a></div></div>
<div class="ttc" id="aa04721_html_ae62cd5fc073cdf3789b609d54f3c0c55"><div class="ttname"><a href="../../d0/dae/a04721.html#ae62cd5fc073cdf3789b609d54f3c0c55">ZombieBase::OnExitZone</a></div><div class="ttdeci">void OnExitZone(ExpansionZoneType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00077">zombiebase.c:77</a></div></div>
<div class="ttc" id="aa04721_html_af3351659cc77b1766e3b707587281fe7"><div class="ttname"><a href="../../d0/dae/a04721.html#af3351659cc77b1766e3b707587281fe7">ZombieBase::GetAll</a></div><div class="ttdeci">static set&lt; ZombieBase &gt; GetAll()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/a08898_source.html#l00050">zombiebase.c:50</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_110182b16a31b5be0780dd310d497000.html">creatures</a></li><li class="navelem"><a class="el" href="../../dir_b62bfcd36b64d1856ec275795b9718cd.html">infected</a></li><li class="navelem"><a class="el" href="../../d9/de3/a08898.html">zombiebase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
